"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compose = void 0;
const driver_1 = require("./driver");
const discover_1 = require("./discover");
function compose(mode) {
    let bundle = { version: "v1alpha" };
    const spec = (0, discover_1.discover)();
    const driver = (0, driver_1.getDriver)(mode, spec);
    if (spec.startCommand) {
        bundle.server = {
            start: {
                cmd: spec.startCommand.split(" "),
            },
        };
    }
    driver.install();
    if (spec.afterInstall) {
        bundle = driver.execHook(bundle, spec.afterInstall);
    }
    driver.build();
    if (spec.afterBuild) {
        bundle = driver.execHook(bundle, spec.afterBuild);
    }
    if (bundle.server) {
        driver.export(bundle);
    }
    return bundle;
}
exports.compose = compose;
